2018-04-25 07:02 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004265Kali Linux[All Projects] Kali Package Bugpublic2017-09-27 09:51
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.3 
Summary0004265: EDB Debugger - "edb Failed to Load A Necessary Plugin"
DescriptionAfter starting up edb on x86, the following message is shown:

  edb Failed to Load A Necessary Plugin
  Failed to successfully load the dubber core plugin. Please make sure it exists and the plugin path is correctly configured.
  This is normal if edb has not been previously run or the configuration file has been removed.

This is not the case with x64 however (it starts up correctly).

After the pop up, you get the options preferences panel, follow by another pop up saying it will re-close.

- - -

- The current path for the plugin directory for x86: /usr/lib/1-linux-gnu/edb
  root@kali:~# file /usr/lib/1-linux-gnu/edb
  /usr/lib/1-linux-gnu/edb: cannot open `/usr/lib/1-linux-gnu/edb' (No such file or directory)
  root@kali:~#

- The path for the plugin directory for x64: /usr/lib/x86_64-linux-gnu/edb
  root@kali:~# file /usr/lib/x86_64-linux-gnu/edb
  /usr/lib/x86_64-linux-gnu/edb: directory
  root@kali:~#


The solution is to change the plugin path from: `/usr/lib/1-linux-gnu/edb`
To: `/usr/lib/i386-linux-gnu/edb`
For x86.

  root@kali:~# ls /usr/lib/i386-linux-gnu/edb
  libAnalyzer.so libBinarySearcher.so libDebuggerCore.so libHeapAnalyzer.so libROPTool.so
  libAssembler.so libBookmarks.so libDumpState.so libODbgRegisterView.so libReferences.so
  libBacktrace.so libBreakpointManager.so libFunctionFinder.so libOpcodeSearcher.so libSymbolViewer.so
  libBinaryInfo.so libCheckVersion.so libHardwareBreakpoints.so libProcessProperties.so
  root@kali:~#
  
- - -

To get the to configuration panel:
  Options -> Preferences -> Directory -> Plugin Directory
Additional Information## x86

root@kali:~# uname -a
Linux kali 4.12.0-kali1-686-pae 0000001 SMP Debian 4.12.6-1kali6 (2017-08-30) i686 GNU/Linux
root@kali:~#
root@kali:~# dpkg -l | grep edb-debugger
ii edb-debugger 0.9.21-2kali1 i386 cross platform x86/x86-64 debugger
ii edb-debugger-plugins:i386 0.9.21-2kali1 i386 edb plugins
root@kali:~#

- - -

## x64

root@kali:~# uname -a
Linux kali 4.12.0-kali1-amd64 0000001 SMP Debian 4.12.6-1kali6 (2017-08-30) x86_64 GNU/Linux
root@kali:~#
root@kali:~# dpkg -l | grep edb-debugger
ii edb-debugger 0.9.21-2kali1 amd64 cross platform x86/x86-64 debugger
ii edb-debugger-plugins:amd64 0.9.21-2kali1 amd64 edb plugins
root@kali:~#
Attached Files

-Relationships
+Relationships

-Notes

~0007416

sbrun (manager)

fixed in new version 0.9.21-2kali2
+Notes

-Issue History
Date Modified Username Field Change
2017-09-25 13:05 g0tmi1k New Issue
2017-09-25 13:54 g0tmi1k Assigned To => sbrun
2017-09-25 13:54 g0tmi1k Severity minor => crash
2017-09-25 13:54 g0tmi1k Status new => assigned
2017-09-27 09:51 sbrun Status assigned => resolved
2017-09-27 09:51 sbrun Resolution open => fixed
2017-09-27 09:51 sbrun Fixed in Version => 2017.3
2017-09-27 09:51 sbrun Note Added: 0007416
+Issue History